<mamecheat version="1">

  <cheat desc="Select Starting Round"> <comment>Enable on the 'PUSH PLAYER BUTTON' message screen</comment>
    <parameter min="1" max="256" step="1"/>
    <script state="on">
      <action>maincpu.pb@4029=FF</action>
    </script>
    <script state="change">
      <action>maincpu.pb@4029=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@4028=03</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mb@16DC</action>
      <action>temp1 =maincpu.mb@16F5</action>
      <action>temp2 =maincpu.mb@3D54</action>
    </script>
    <script state="run">
      <action>maincpu.mb@16DC=C9</action>
      <action>maincpu.mb@16F5=C9</action>
      <action>maincpu.mb@3D54=C9</action>
    </script>
    <script state="off">
      <action>maincpu.mb@16DC=temp0 </action>
      <action>maincpu.mb@16F5=temp1 </action>
      <action>maincpu.mb@3D54=temp2 </action>
    </script>
  </cheat>

  <cheat desc="Constant full length flame">
    <script state="run">
      <action>maincpu.pb@4292=0C</action>
    </script>
  </cheat>

  <cheat desc="Constant X2 length flame">
    <script state="run">
      <action>maincpu.pb@4292=18</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
